### Class

# Phosh Ambient

since: 0

#### Description [src]

    final class Phosh.Ambient : GObject.Object
    {
      /* No available fields */
    }

Ambient light sensor handling

`PhoshAmbient` handles enabling and disabling the ambient detection based and toggles related actions.

Available since: 0

#### Ancestors

- GObject

#### Constructors

###### phosh_ambient_new

No description available.

since: 0

#### Instance methods

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Phosh.Ambient:sensor-proxy-manager

No description available.

since: 0

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

unstable since: 2.0

#### Class structure

    struct PhoshAmbientClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`
  No description available.